diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac.cc ns-3.43/src/lr-wpan/model/lr-wpan-mac.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac.cc	2024-10-09 16:41:09.900656000 -0700
@@ -2069,223 +2319,34 @@
                                                            receivedMacHdr.GetSeqNum());
                 }
 
-                if (receivedMacHdr.GetDstAddrMode() == SHORT_ADDR)
+                if (receivedMacHdr.GetSrcAddrMode() == SHORT_ADDR &&
+                    receivedMacHdr.GetDstAddrMode() == SHORT_ADDR)
+                {
+                    NS_LOG_DEBUG("Packet from [" << params.m_srcAddr << "] to [" << params.m_dstAddr
+                                                 << "]");
+                }
+                else if (receivedMacHdr.GetSrcAddrMode() == EXT_ADDR &&
+                         receivedMacHdr.GetDstAddrMode() == EXT_ADDR)
+                {
+                    NS_LOG_DEBUG("Packet from [" << params.m_srcExtAddr << "] to ["
+                                                 << params.m_dstExtAddr << "]");
+                }
+                else if (receivedMacHdr.GetSrcAddrMode() == SHORT_ADDR &&
+                         receivedMacHdr.GetDstAddrMode() == EXT_ADDR)
                 {
-                    NS_LOG_DEBUG("Packet from " << params.m_srcAddr);
-                    NS_LOG_DEBUG("Packet to " << params.m_dstAddr);
+                    NS_LOG_DEBUG("Packet from [" << params.m_srcAddr << "] to ["
+                                                 << params.m_dstExtAddr << "]");
                 }
-                else if (receivedMacHdr.GetDstAddrMode() == EXT_ADDR)
+                else if (receivedMacHdr.GetSrcAddrMode() == EXT_ADDR &&
+                         receivedMacHdr.GetDstAddrMode() == SHORT_ADDR)
                 {
-                    NS_LOG_DEBUG("Packet from " << params.m_srcExtAddr);
-                    NS_LOG_DEBUG("Packet to " << params.m_dstExtAddr);
+                    NS_LOG_DEBUG("Packet from [" << params.m_srcExtAddr << "] to ["
+                                                 << params.m_dstAddr << "]");
                 }
 
                 if (receivedMacHdr.IsBeacon())
                 {
-                    // The received beacon size in symbols
-                    // Beacon = 5 bytes Sync Header (SHR) +  1 byte PHY header (PHR) + PSDU (default
-                    // 17 bytes)
-                    m_rxBeaconSymbols = m_phy->GetPhySHRDuration() +
-                                        1 * m_phy->GetPhySymbolsPerOctet() +
-                                        (originalPkt->GetSize() * m_phy->GetPhySymbolsPerOctet());
-
-                    // The start of Rx beacon time and start of the Incoming superframe Active
-                    // Period
-                    m_macBeaconRxTime =
-                        Simulator::Now() - Seconds(double(m_rxBeaconSymbols) / symbolRate);
-
-                    NS_LOG_DEBUG("Beacon Received; forwarding up (m_macBeaconRxTime: "
-                                 << m_macBeaconRxTime.As(Time::S) << ")");
-
-                    BeaconPayloadHeader receivedMacPayload;
-                    p->RemoveHeader(receivedMacPayload);
-
-                    // Fill the PAN descriptor
-                    PanDescriptor panDescriptor;
-
-                    if (receivedMacHdr.GetSrcAddrMode() == SHORT_ADDR)
-                    {
-                        panDescriptor.m_coorAddrMode = SHORT_ADDR;
-                        panDescriptor.m_coorShortAddr = receivedMacHdr.GetShortSrcAddr();
-                    }
-                    else
-                    {
-                        panDescriptor.m_coorAddrMode = EXT_ADDR;
-                        panDescriptor.m_coorExtAddr = receivedMacHdr.GetExtSrcAddr();
-                    }
-
-                    panDescriptor.m_coorPanId = receivedMacHdr.GetSrcPanId();
-                    panDescriptor.m_gtsPermit = receivedMacPayload.GetGtsFields().GetGtsPermit();
-                    panDescriptor.m_linkQuality = lqi;
-                    panDescriptor.m_logChPage = m_phy->GetCurrentPage();
-                    panDescriptor.m_logCh = m_phy->GetCurrentChannelNum();
-                    panDescriptor.m_superframeSpec = receivedMacPayload.GetSuperframeSpecField();
-                    panDescriptor.m_timeStamp = m_macBeaconRxTime;
-
-                    // Process beacon when device belongs to a PAN (associated device)
-                    if (!m_scanEvent.IsPending() && m_macPanId == receivedMacHdr.GetDstPanId())
-                    {
-                        // We need to make sure to cancel any possible ongoing unslotted CSMA/CA
-                        // operations when receiving a beacon (e.g. Those taking place at the
-                        // beginning of an Association).
-                        m_csmaCa->Cancel();
-
-                        SuperframeField incomingSuperframe(
-                            receivedMacPayload.GetSuperframeSpecField());
-
-                        m_incomingBeaconOrder = incomingSuperframe.GetBeaconOrder();
-                        m_incomingSuperframeOrder = incomingSuperframe.GetFrameOrder();
-                        m_incomingFnlCapSlot = incomingSuperframe.GetFinalCapSlot();
-
-                        if (m_incomingBeaconOrder < 15)
-                        {
-                            // Start Beacon-enabled mode
-                            m_csmaCa->SetSlottedCsmaCa();
-                            m_incomingBeaconInterval =
-                                (static_cast<uint32_t>(1 << m_incomingBeaconOrder)) *
-                                lrwpan::aBaseSuperframeDuration;
-                            m_incomingSuperframeDuration =
-                                lrwpan::aBaseSuperframeDuration *
-                                (static_cast<uint32_t>(1 << m_incomingSuperframeOrder));
-
-                            if (incomingSuperframe.IsBattLifeExt())
-                            {
-                                m_csmaCa->SetBatteryLifeExtension(true);
-                            }
-                            else
-                            {
-                                m_csmaCa->SetBatteryLifeExtension(false);
-                            }
-
-                            // TODO: get Incoming frame GTS Fields here
-
-                            // Begin CAP on the current device using info from
-                            // the Incoming superframe
-                            NS_LOG_DEBUG("Incoming superframe Active Portion "
-                                         << "(Beacon + CAP + CFP): " << m_incomingSuperframeDuration
-                                         << " symbols");
-
-                            m_incCapEvent = Simulator::ScheduleNow(&LrWpanMac::StartCAP,
-                                                                   this,
-                                                                   SuperframeType::INCOMING);
-                        }
-                        else
-                        {
-                            // Start non-beacon enabled mode
-                            m_csmaCa->SetUnSlottedCsmaCa();
-                        }
-
-                        m_setMacState =
-                            Simulator::ScheduleNow(&LrWpanMac::SetLrWpanMacState, this, MAC_IDLE);
-                    }
-                    else if (!m_scanEvent.IsPending() && m_macPanId == 0xFFFF)
-                    {
-                        NS_LOG_DEBUG(this << " Device not associated, cannot process beacon");
-                    }
-
-                    if (m_macAutoRequest)
-                    {
-                        if (p->GetSize() > 0)
-                        {
-                            if (!m_mlmeBeaconNotifyIndicationCallback.IsNull())
-                            {
-                                // The beacon contains payload, send the beacon notification.
-                                MlmeBeaconNotifyIndicationParams beaconParams;
-                                beaconParams.m_bsn = receivedMacHdr.GetSeqNum();
-                                beaconParams.m_panDescriptor = panDescriptor;
-                                beaconParams.m_sduLength = p->GetSize();
-                                beaconParams.m_sdu = p;
-                                m_mlmeBeaconNotifyIndicationCallback(beaconParams);
-                            }
-                        }
-
-                        if (m_scanEvent.IsPending())
-                        {
-                            // Channel scanning is taking place, save only unique PAN descriptors
-                            bool descriptorExists = false;
-
-                            for (const auto& descriptor : m_panDescriptorList)
-                            {
-                                if (descriptor.m_coorAddrMode == SHORT_ADDR)
-                                {
-                                    // Found a coordinator in PAN descriptor list with the same
-                                    // registered short address
-                                    descriptorExists =
-                                        (descriptor.m_coorShortAddr ==
-                                             panDescriptor.m_coorShortAddr &&
-                                         descriptor.m_coorPanId == panDescriptor.m_coorPanId);
-                                }
-                                else
-                                {
-                                    // Found a coordinator in PAN descriptor list with the same
-                                    // registered extended address
-                                    descriptorExists =
-                                        (descriptor.m_coorExtAddr == panDescriptor.m_coorExtAddr &&
-                                         descriptor.m_coorPanId == panDescriptor.m_coorPanId);
-                                }
-
-                                if (descriptorExists)
-                                {
-                                    break;
-                                }
-                            }
-
-                            if (!descriptorExists)
-                            {
-                                m_panDescriptorList.emplace_back(panDescriptor);
-                            }
-                            return;
-                        }
-                        else if (m_trackingEvent.IsPending())
-                        {
-                            // check if MLME-SYNC.request was previously issued and running
-                            // Sync. is necessary to handle pending messages (indirect
-                            // transmissions)
-                            m_trackingEvent.Cancel();
-                            m_numLostBeacons = 0;
-
-                            if (m_beaconTrackingOn)
-                            {
-                                // if tracking option is on keep tracking the next beacon
-                                uint64_t searchSymbols;
-                                Time searchBeaconTime;
-
-                                searchSymbols =
-                                    (static_cast<uint64_t>(1 << m_incomingBeaconOrder)) +
-                                    1 * lrwpan::aBaseSuperframeDuration;
-                                searchBeaconTime =
-                                    Seconds(static_cast<double>(searchSymbols / symbolRate));
-                                m_trackingEvent =
-                                    Simulator::Schedule(searchBeaconTime,
-                                                        &LrWpanMac::BeaconSearchTimeout,
-                                                        this);
-                            }
-
-                            PendingAddrFields pndAddrFields;
-                            pndAddrFields = receivedMacPayload.GetPndAddrFields();
-
-                            // TODO: Ignore pending data, and do not send data command request if
-                            // the address is in the GTS list.
-                            //       If the address is not in the GTS list, then  check if the
-                            //       address is in the short address pending list or in the extended
-                            //       address pending list and send a data command request.
-                        }
-                    }
-                    else
-                    {
-                        // m_macAutoRequest is FALSE
-                        // Data command request are not send, only the beacon notification.
-                        // see IEEE 802.15.4-2011 Section 6.2.4.1
-                        if (!m_mlmeBeaconNotifyIndicationCallback.IsNull())
-                        {
-                            MlmeBeaconNotifyIndicationParams beaconParams;
-                            beaconParams.m_bsn = receivedMacHdr.GetSeqNum();
-                            beaconParams.m_panDescriptor = panDescriptor;
-                            beaconParams.m_sduLength = p->GetSize();
-                            beaconParams.m_sdu = p;
-                            m_mlmeBeaconNotifyIndicationCallback(beaconParams);
-                        }
-                    }
+                    ReceiveBeacon(lqi, originalPkt);
                 }
                 else if (receivedMacHdr.IsCommand())
                 {
@@ -2299,7 +2360,17 @@
                     case CommandPayloadHeader::BEACON_REQ:
                         if (m_csmaCa->IsUnSlottedCsmaCa() && m_coor)
                         {
-                            SendOneBeacon();
+                            // Jitter = Between 0 and 2 aUnitBackoffPeriods
+                            // (0, 320us or 640us in 2.4Ghz O-QPSK)
+                            // While this jitter is not described by the standard,
+                            // it reduces the probability of collisions in beacons
+                            // transmitted as a result of a beacon request
+                            Time jitter =
+                                Seconds(static_cast<double>(m_uniformVar->GetInteger(0, 3) *
+                                                            aUnitBackoffPeriod) /
+                                        symbolRate);
+
+                            Simulator::Schedule((jitter), &LrWpanMac::SendOneBeacon, this);
                         }
                         else
                         {
@@ -2958,6 +3029,15 @@
     os << "\n";
 }
 
+int64_t
+LrWpanMac::AssignStreams(int64_t stream)
+{
+    NS_LOG_FUNCTION(this);
+    m_uniformVar->SetStream(stream);
+    m_csmaCa->AssignStreams(stream + 1);
+    return 2;
+}
+
 void
 LrWpanMac::RemovePendTxQElement(Ptr<Packet> p)
 {
@@ -3040,7 +3120,18 @@
                 }
 
                 ifsWaitTime = Seconds(static_cast<double>(GetIfsSize()) / symbolRate);
-                m_txPkt = nullptr;
+
+                if (m_csmaCa->IsSlottedCsmaCa())
+                {
+                    // The beacon was sent immediately in beacon-enabled mode
+                    m_txPkt = nullptr;
+                }
+                else
+                {
+                    // The beacon was sent using CSMA/CA as a result of a beacon request
+                    // therefore, remove it from TX Queue
+                    RemoveFirstTxQElement();
+                }
             }
             else if (macHdr.IsAckReq()) // We have sent a regular data packet, check if we have to
                                         // wait  for an ACK.
@@ -3527,6 +3618,32 @@
             NS_LOG_ERROR("Invalid channel parameter in MLME-associate");
         }
     }
+    else
+    {
+        if (!m_mlmeSetConfirmCallback.IsNull())
+        {
+            MlmeSetConfirmParams confirmParams;
+            if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+            {
+                confirmParams.m_status = MacStatus::SUCCESS;
+            }
+            else
+            {
+                confirmParams.m_status = MacStatus::UNSUPPORTED_ATTRIBUTE;
+            }
+
+            if (id == PhyPibAttributeIdentifier::phyCurrentChannel)
+            {
+                confirmParams.id = MacPibAttributeIdentifier::pCurrentChannel;
+            }
+            else if (id == PhyPibAttributeIdentifier::phyCurrentPage)
+            {
+                confirmParams.id = MacPibAttributeIdentifier::pCurrentPage;
+            }
+
+            m_mlmeSetConfirmCallback(confirmParams);
+        }
+    }
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac.h ns-3.43/src/lr-wpan/model/lr-wpan-mac.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *  Gary Pei <guangyu.pei@boeing.com>
@@ -520,11 +509,11 @@
     SequenceNumber8 m_macBsn;
 
     /**
-     * The contents of the beacon payload.
+     * The set with the contents of the beacon payload.
      * This value is set directly by the MLME-SET primitive.
      * See IEEE 802.15.4-2011, section 6.4.2, Table 52.
      */
-    Ptr<Packet> m_macBeaconPayload;
+    std::vector<uint8_t> m_macBeaconPayload;
 
     /**
      * The length, in octets, of the beacon payload.
@@ -668,14 +657,14 @@
     /**
      * Check if the packet destination is its coordinator
      *
-     *\param mac The coordinator short MAC Address
+     * \param mac The coordinator short MAC Address
      */
     void SetAssociatedCoor(Mac16Address mac);
 
     /**
      * Check if the packet destination is its coordinator
      *
-     *\param mac The coordinator extended MAC Address
+     * \param mac The coordinator extended MAC Address
      */
     void SetAssociatedCoor(Mac64Address mac);
 
@@ -689,15 +678,15 @@
     /**
      * Obtain the number of symbols in the packet which is currently being sent by the MAC layer.
      *
-     *\return packet number of symbols
-     * */
+     * \return packet number of symbols
+     */
     uint64_t GetTxPacketSymbols();
 
     /**
      * Check if the packet to transmit requires acknowledgment
      *
-     *\return True if the Tx packet requires acknowledgment
-     * */
+     * \return True if the Tx packet requires acknowledgment
+     */
     bool IsTxAckReq();
 
     /**
@@ -713,6 +702,15 @@
     void PrintTxQueue(std::ostream& os) const;
 
     /**
+     * Assign a fixed random variable stream number to the random variables
+     * used by this model.  Return the number of streams that have been assigned.
+     *
+     * \param stream first stream index to use
+     * \return the number of stream indices assigned by this model
+     */
+    int64_t AssignStreams(int64_t stream);
+
+    /**
      * TracedCallback signature for sent packets.
      *
      * \param [in] packet The packet.
@@ -730,6 +728,7 @@
      * TracedValue \c MacStateValue. The \c MacState TracedCallback will
      * be removed in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     typedef void (*StateTracedCallback)(MacState oldState, MacState newState);
 
   protected:
@@ -857,6 +856,14 @@
     void BeaconSearchTimeout();
 
     /**
+     * Used to process the reception of a beacon packet.
+     *
+     * \param lqi The value of the link quality indicator (LQI) of the received packet
+     * \param p The packet containing the MAC header and the beacon payload information
+     */
+    void ReceiveBeacon(uint8_t lqi, Ptr<Packet> p);
+
+    /**
      * Send an acknowledgment packet for the given sequence number.
      *
      * \param seqno the sequence number for the ACK
@@ -1121,6 +1128,7 @@
      * removed in a future release,  Instead, use the \c MacStateValue
      * TracedValue.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<MacState, MacState> m_macStateLogger;
 
     /**
@@ -1323,6 +1331,11 @@
      * Scheduler event for the end of a ED channel scan.
      */
     EventId m_scanEnergyEvent;
+
+    /**
+     * The uniform random variable used in this mac layer
+     */
+    Ptr<UniformRandomVariable> m_uniformVar;
 };
 } // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.cc ns-3.43/src/lr-wpan/model/lr-wpan-mac-header.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-header.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: kwong yin <kwong-sang.yin@boeing.com>
  */
@@ -444,7 +433,8 @@
 TypeId
 LrWpanMacHeader::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::LrWpanMacHeader")
+    static TypeId tid = TypeId("ns3::lrwpan::LrWpanMacHeader")
+                            .AddDeprecatedName("ns3::LrWpanMacHeader")
                             .SetParent<Header>()
                             .SetGroupName("LrWpan")
                             .AddConstructor<LrWpanMacHeader>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.h ns-3.43/src/lr-wpan/model/lr-wpan-mac-header.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-header.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *  Author: kwong yin <kwong-sang.yin@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc ns-3.43/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Ritsumeikan University, Shiga, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *  Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
@@ -40,7 +29,8 @@
 TypeId
 BeaconPayloadHeader::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::BeaconPayloadHeader")
+    static TypeId tid = TypeId("ns3::lrwpan::BeaconPayloadHeader")
+                            .AddDeprecatedName("ns3::BeaconPayloadHeader")
                             .SetParent<Header>()
                             .SetGroupName("LrWpan")
                             .AddConstructor<BeaconPayloadHeader>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.h ns-3.43/src/lr-wpan/model/lr-wpan-mac-pl-headers.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-pl-headers.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *  Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.cc ns-3.43/src/lr-wpan/model/lr-wpan-mac-trailer.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-trailer.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  kwong yin <kwong-sang.yin@boeing.com>
@@ -42,7 +31,8 @@
 TypeId
 LrWpanMacTrailer::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::LrWpanMacTrailer")
+    static TypeId tid = TypeId("ns3::lrwpan::LrWpanMacTrailer")
+                            .AddDeprecatedName("ns3::LrWpanMacTrailer")
                             .SetParent<Trailer>()
                             .SetGroupName("LrWpan")
                             .AddConstructor<LrWpanMacTrailer>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.h ns-3.43/src/lr-wpan/model/lr-wpan-mac-trailer.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-trailer.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  kwong yin <kwong-sang.yin@boeing.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-net-device.cc ns-3.43/src/lr-wpan/model/lr-wpan-net-device.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-net-device.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-net-device.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Tom Henderson <thomas.r.henderson@boeing.com>
@@ -45,7 +34,8 @@
 LrWpanNetDevice::GetTypeId()
 {
     static TypeId tid =
-        TypeId("ns3::LrWpanNetDevice")
+        TypeId("ns3::lrwpan::LrWpanNetDevice")
+            .AddDeprecatedName("ns3::LrWpanNetDevice")
             .SetParent<NetDevice>()
             .SetGroupName("LrWpan")
             .AddConstructor<LrWpanNetDevice>()
